<!DOCTYPE html>
<html>
<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<title>Test Ajax</title>
</head>
<body>
<div id="demo">
<p> Consigne : <br> 
un fichier txt  <br> 
a coté un fichier html qui contient du JS qui appelle le fichier txt.</p>
<button type="button" onclick="loadDoc()">on va essayer de changer le texte</button>
</div>

<script type="text/javascript">
function loadDoc() {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
     document.getElementById("demo").innerHTML = this.responseText;
    }
  };
  xhttp.open("GET", "text.txt", true);
  xhttp.send();
}
</script>
</body>
</html>